/*
 * counterv1.c
 *
 *  Created on: 2 Oct 2018
 *      Author: ctorr
 */


// MULTOS running in command mode either through ISO7816 interface or Serial interface(pin 18 low))
// Demonstrates application upgrade retaining static application data

#pragma attribute("aid", "F400000A")
#pragma attribute("access_list", "2003")  // Allow Application Reload + Contact interface + strong crypto
#pragma attribute("name","Counter v1")

#include <multos.h>
#include <string.h>

#pragma melpublic
struct  {
	char message[16];
	WORD wCounter;
} result;

#pragma melstatic
char sGreeting[] = "Hello";
WORD wCounter = 0x1234; // Data to transfer to new application

void
main(void)
{
	// Increment counter
	wCounter++;

	// Return message and counter
	multosClear(18,(BYTE*)&result);
	strcpy(result.message,sGreeting);
	result.wCounter = wCounter;
	La = sizeof(result);
}
