#include <SoftwareSerial.h>

 // Software serial port to talk to MULTOS
SoftwareSerial gMultosSerial(2, 3); // RX, TX

void setup()
{
  // Main serial port to send messages to IDE
  Serial.begin(9600);

  // Software serial port to talk to MULTOS
  gMultosSerial.begin(9600);

  // Seed the random number generator
  randomSeed(analogRead(0));
}

void loop()
{
  // Create a random 16 byte message
  Serial.print("Sending ");
  for(int i = 0; i < 4; i++)
  {
    byte b = random(255);
    Serial.print(b,16);
    gMultosSerial.write(b);
  }
  Serial.println();

  delay(5000);
}

